Bug 971926 - Create smart proxy: proxy name allows preceding/trailing whitespace
Create smart proxy: proxy name allows preceding/trailing whitespace
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Provisioning (Show other bugs)
Nightly
Unspecified Unspecified
unspecified Severity unspecified (vote)
: Unspecified
: --
Assigned To: jmagen@redhat.com
Katello QA List
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-07 11:29 EDT by Corey Welton
Modified: 2014-04-24 13:11 EDT (History)
3 users (show)

See Also:
Fixed In Version: foreman-1.3.0-6.el6sat
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Corey Welton 2013-06-07 11:29:01 EDT
Description of problem:
When creating a smart proxy, user can prepend/append whitespace to proxy name, which is not otherwise visible when viewing list of proxies.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.  Begin creating a smart proxy.  Use the name "    katello-smart-proxy  "
2.  Submit
3.  Observe the resulting proxy view page.

Actual results:
No evidence that there are spaces in the name though they are apparently there.

Expected results:
Ideally we shouldn't allow preceding or trailing whitespace at all, per (most of) the other portions of UI.  Perhaps we should strip trailing whitespace or disallow this entry.

Additional info:
Comment 1 Corey Welton 2013-06-07 11:30:00 EDT
* apr-util-ldap-1.3.9-3.el6_0.1.x86_64
* candlepin-0.8.9-1.el6_4.noarch
* candlepin-scl-1-5.el6_4.noarch
* candlepin-scl-quartz-2.1.5-5.el6_4.noarch
* candlepin-scl-rhino-1.7R3-1.el6_4.noarch
* candlepin-scl-runtime-1-5.el6_4.noarch
* candlepin-selinux-0.8.9-1.el6_4.noarch
* candlepin-tomcat6-0.8.9-1.el6_4.noarch
* elasticsearch-0.19.9-8.el6sat.noarch
* foreman-1.1.10004-1.noarch
* foreman-compute-1.1.10004-1.noarch
* foreman-installer-puppet-concat-0-2.d776701.git.0.21ef926.el6sat.noarch
* foreman-installer-puppet-dhcp-0-5.3a4a13c.el6sat.noarch
* foreman-installer-puppet-dns-0-7.fcae203.el6sat.noarch
* foreman-installer-puppet-foreman-0-6.568c5c4.el6sat.noarch
* foreman-installer-puppet-foreman_proxy-0-8.bd1e35d.el6sat.noarch
* foreman-installer-puppet-puppet-0-3.ab46748.el6sat.noarch
* foreman-installer-puppet-tftp-0-5.ea6c5e5.el6sat.noarch
* foreman-installer-puppet-xinetd-0-50a267b8.git.0.44aca6a.el6sat.noarch
* foreman-libvirt-1.1.10004-1.noarch
* foreman-postgresql-1.1.10004-1.noarch
* foreman-proxy-1.1.10003-1.el6sat.noarch
* foreman-proxy-installer-1.0.1-8.f5ae2cd.el6sat.noarch
* katello-1.4.2-10.el6sat.noarch
* katello-all-1.4.2-10.el6sat.noarch
* katello-candlepin-cert-key-pair-1.0-1.noarch
* katello-certs-tools-1.4.2-2.el6sat.noarch
* katello-cli-1.4.2-7.el6sat.noarch
* katello-cli-common-1.4.2-7.el6sat.noarch
* katello-common-1.4.2-10.el6sat.noarch
* katello-configure-1.4.3-14.el6sat.noarch
* katello-configure-foreman-1.4.3-14.el6sat.noarch
* katello-foreman-all-1.4.2-10.el6sat.noarch
* katello-glue-candlepin-1.4.2-10.el6sat.noarch
* katello-glue-elasticsearch-1.4.2-10.el6sat.noarch
* katello-glue-pulp-1.4.2-10.el6sat.noarch
* katello-qpid-broker-key-pair-1.0-1.noarch
* katello-qpid-client-key-pair-1.0-1.noarch
* katello-selinux-1.4.3-3.el6sat.noarch
* openldap-2.4.23-31.el6.x86_64
* openldap-devel-2.4.23-31.el6.x86_64
* pulp-rpm-plugins-2.1.1-1.el6sat.noarch
* pulp-selinux-2.1.1-1.el6sat.noarch
* pulp-server-2.1.1-1.el6sat.noarch
* python-ldap-2.3.10-1.el6.x86_64
* ruby193-rubygem-ldap_fluff-0.2.2-1.el6sat.noarch
* ruby193-rubygem-net-ldap-0.3.1-2.el6sat.noarch
* signo-0.0.16-1.el6sat.noarch
* signo-katello-0.0.16-1.el6sat.noarch
Comment 3 jmagen@redhat.com 2013-09-15 09:44:30 EDT
Pull request to strip whitespaces
https://github.com/theforeman/foreman/pull/884
Comment 4 jmagen@redhat.com 2013-09-17 08:37:04 EDT
https://github.com/theforeman/foreman/pull/885
Comment 8 Corey Welton 2013-10-03 13:08:30 EDT
QA Verified
Satellite-6.0.2-RHEL-6-20130930.0
Comment 11 Bryan Kearney 2014-04-24 13:10:36 EDT
This was verified and delivered with MDP2. Closing it out.
Comment 12 Bryan Kearney 2014-04-24 13:11:46 EDT
This was delivered and verified with MDP2. Closing the bug.

Note You need to log in before you can comment on or make changes to this bug.